> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 評価を更新してリコンサイルする

> 変更されていない完了済みケースを保持し、追加または無効化された作業のみをキューに登録します。



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml PUT /evals/{evalId}
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /evals/{evalId}:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/EvalId'
    put:
      tags:
        - Evaluations
      summary: 評価を更新してリコンサイル
      description: 変更されていない完了済みケースを保持し、追加または無効化された作業のみをキューに登録します。
      operationId: updateEval
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 128
                  description: 短く見やすい評価名。2～5 語を推奨し、データセット名、比較対象の全モデル、設定の詳細は含めないでください。
                spec:
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          const: h2h_judge
                        judge_model_ref:
                          type: string
                          pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                        judge_prompt:
                          default: >-
                            You are an intelligent and fair judge of chatbots.
                            Evaluate the following two responses and choose
                            which one is better. If the outputs are of similar
                            quality, you can mark them as a tie.
                          type: string
                          minLength: 1
                        reference_conversation_count:
                          default: 0
                          type: integer
                          minimum: 0
                          maximum: 50
                      required:
                        - type
                        - judge_model_ref
                      additionalProperties: false
                    - type: object
                      additionalProperties: false
                      required:
                        - type
                      properties:
                        type:
                          type: string
                          const: exact_match
                    - type: object
                      additionalProperties: false
                      required:
                        - type
                        - field
                      properties:
                        type:
                          type: string
                          const: categorization
                        field:
                          type: string
                          minLength: 1
                          maxLength: 256
                participants:
                  minItems: 1
                  type: array
                  items:
                    anyOf:
                      - oneOf:
                          - type: object
                            additionalProperties: false
                            required:
                              - kind
                            properties:
                              kind:
                                type: string
                                const: original
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: relabel
                              relabel_run_id:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            required:
                              - kind
                              - relabel_run_id
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: model
                              model_ref:
                                type: string
                                pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                            required:
                              - kind
                              - model_ref
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: provider
                              model_ref:
                                type: string
                                pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                            required:
                              - kind
                              - model_ref
                            additionalProperties: false
                      - oneOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: model
                              model_ref:
                                type: string
                                pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                            required:
                              - kind
                              - model_ref
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: provider
                              model_ref:
                                type: string
                                pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                            required:
                              - kind
                              - model_ref
                            additionalProperties: false
                reference:
                  anyOf:
                    - oneOf:
                        - type: object
                          additionalProperties: false
                          required:
                            - kind
                          properties:
                            kind:
                              type: string
                              const: original
                        - type: object
                          properties:
                            kind:
                              type: string
                              const: model
                            model_ref:
                              type: string
                              pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                          required:
                            - kind
                            - model_ref
                          additionalProperties: false
                        - type: object
                          properties:
                            kind:
                              type: string
                              const: provider
                            model_ref:
                              type: string
                              pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                          required:
                            - kind
                            - model_ref
                          additionalProperties: false
                    - type: 'null'
                sample_size:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
              additionalProperties: false
      responses:
        '202':
          description: ケースバッチをリコンサイルした更新済みの評価。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Eval'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
    EvalId:
      name: evalId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Eval:
      type: object
      additionalProperties: true
      required:
        - id
        - dataset_id
        - name
        - spec
        - participants
        - sample_size
        - status
        - progress
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        dataset_id:
          type: string
          format: uuid
        name:
          type: string
        spec:
          $ref: '#/components/schemas/EvalSpec'
        participants:
          type: array
          items:
            $ref: '#/components/schemas/EvalParticipant'
        reference:
          oneOf:
            - $ref: '#/components/schemas/EvalParticipant'
            - type: 'null'
        sample_size:
          type: integer
        status:
          type: string
          enum:
            - queued
            - running
            - completed
            - failed
            - stale
        progress:
          type: object
          required:
            - total
            - queued
            - running
            - completed
            - failed
          properties:
            total:
              type: integer
            queued:
              type: integer
            running:
              type: integer
            completed:
              type: integer
            failed:
              type: integer
        results:
          oneOf:
            - $ref: '#/components/schemas/JsonObject'
            - type: 'null'
        failure_summary:
          type: object
          additionalProperties: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    EvalSpec:
      oneOf:
        - type: object
          additionalProperties: false
          required:
            - type
            - judge_model_ref
          properties:
            type:
              type: string
              const: h2h_judge
            judge_model_ref:
              $ref: '#/components/schemas/ModelRef'
            judge_prompt:
              type: string
              minLength: 1
        - type: object
          additionalProperties: false
          required:
            - type
          properties:
            type:
              type: string
              const: exact_match
        - type: object
          additionalProperties: false
          required:
            - type
            - field
          properties:
            type:
              type: string
              const: categorization
            field:
              type: string
              minLength: 1
              maxLength: 256
    EvalParticipant:
      oneOf:
        - type: object
          additionalProperties: false
          required:
            - kind
          properties:
            kind:
              type: string
              const: original
        - type: object
          additionalProperties: false
          required:
            - kind
            - relabel_run_id
          properties:
            kind:
              type: string
              const: relabel
            relabel_run_id:
              type: string
              format: uuid
        - type: object
          additionalProperties: false
          required:
            - kind
            - model_ref
          properties:
            kind:
              type: string
              enum:
                - model
                - provider
            model_ref:
              $ref: '#/components/schemas/ModelRef'
    JsonObject:
      type: object
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
    ModelRef:
      type: string
      pattern: ^[a-z0-9][a-z0-9_-]{0,63}/\S+$
      example: openai/gpt-5.6-sol
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````

## Related topics

- [Kubernetes Operator を使用して W&B をデプロイする](/ja/products/wandb/platform/hosting/self-managed/operator.md)
